Platform modules versions

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Platform modules versions

Tiago Rinck Caveden
Hello!

Is there a way to checkout the last official release from all XWiki Platform
modules at once, or must I go module by module?
And in the second case, can I be sure that by getting the last release from
each module they will be all "compatible"?

Basically what I'd like would be to apply my patch to a stable release
instead of the HEAD as I'm currently doing.

Thank you,
--
Tiago Rinck Caveden
http://caveden.multiply.com
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Tiago Rinck Caveden
http://caveden.multiply.com
Reply | Threaded
Open this post in threaded view
|

Re: Platform modules versions

Tiago Rinck Caveden
Hello again,

I checked out the 1.5.1 tag of every platform module and the largest number
from the "modules packs" (like skins, applications etc).

I started building xwiki-core-1.5.1 and it failed while executing the
Rendering tests... I compiled with the -Pwindows option.
Is this expected?

Thanks!

On Mon, Sep 8, 2008 at 2:07 PM, Tiago Rinck Caveden <[hidden email]>wrote:

> Hello!
>
> Is there a way to checkout the last official release from all XWiki
> Platform modules at once, or must I go module by module?
> And in the second case, can I be sure that by getting the last release from
> each module they will be all "compatible"?
>
> Basically what I'd like would be to apply my patch to a stable release
> instead of the HEAD as I'm currently doing.
>
> Thank you,
> --
> Tiago Rinck Caveden
> http://caveden.multiply.com
>



--
Tiago Rinck Caveden
http://caveden.multiply.com
_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users
Tiago Rinck Caveden
http://caveden.multiply.com
Reply | Threaded
Open this post in threaded view
|

Re: Platform modules versions

Jerome Velociter
Hello,

Tiago Rinck Caveden wrote:
> Hello again,
>
> I checked out the 1.5.1 tag of every platform module and the largest number
> from the "modules packs" (like skins, applications etc).
If your patch is on XWiki core, then you only need to check out 1.5.1
tag of "core" and "web" platform modules + 1.5.1 tag of "enterprise".
And you build in order : "core", then "web", then "enterprise".
For the rendering tests failing, I don't know if it's expected, but it
should not be blocker since the new renderer is not activated in the 1.5
series, AFAIR. (by the way, you just need xwiki-core IMO, not
xwiki-rendering-* and other new XWiki components if your patch is on the
old core).

>
> I started building xwiki-core-1.5.1 and it failed while executing the
> Rendering tests... I compiled with the -Pwindows option.
> Is this expected?
>
> Thanks!
>
> On Mon, Sep 8, 2008 at 2:07 PM, Tiago Rinck Caveden <[hidden email]>wrote:
>
>> Hello!
>>
>> Is there a way to checkout the last official release from all XWiki
>> Platform modules at once, or must I go module by module?
>> And in the second case, can I be sure that by getting the last release from
>> each module they will be all "compatible"?
>>
>> Basically what I'd like would be to apply my patch to a stable release
>> instead of the HEAD as I'm currently doing.
>>
>> Thank you,
>> --
>> Tiago Rinck Caveden
>> http://caveden.multiply.com
>>
>
>
>

_______________________________________________
users mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/users